Method: projects.locations.instances.getCertificateAuthority

取得執行個體憑證授權單位的詳細資料。

HTTP 要求


GET https://memorystore.googleapis.com/v1alpha/{name=projects/*/locations/*/instances/*}/certificateAuthority

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,憑證授權單位名稱。格式:projects/{project}/locations/{location}/instances/{instance}/certificateAuthority

要求主體

要求主體必須為空白。

回應主體

執行個體的憑證授權單位。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
欄位
name

string

ID。憑證授權單位的專屬名稱,格式:projects/{project}/locations/{location}/instances/{instance}

伺服器憑證授權單位的相關資訊。以下列出互斥欄位。回應中最多會設定一個欄位:
managedServerCa

object (ManagedCertificateAuthority)

受管理的伺服器憑證授權單位。

互斥欄位的結尾。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write
  • https://www.googleapis.com/auth/memorystore.read-only

IAM 權限

需要 name 資源的下列 IAM 權限:

  • memorystore.instances.get

詳情請參閱 IAM 說明文件。

ManagedCertificateAuthority

代管的憑證授權單位。

JSON 表示法
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
欄位
caCerts[]

object (CertChain)

PEM 編碼的 CA 憑證鏈結,用於受管理伺服器驗證。

CertChain

憑證鏈結。

JSON 表示法
{
  "certificates": [
    string
  ]
}
欄位
certificates[]

string

構成 CA 鏈結的憑證,順序為從分葉到根。